%global realname lucene_parser
%global upstream basho
#
# This package contains only arch-independent data but install it into
# arch-dependent directory thus making this package arch-dependent. In order to
# suppress empty *-debuginfo generation we have to explicitly order
# debuginfo-generator to skip trying to build *-debuiginfo for that package.
#
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1
Release:	6%{?dist}
Summary:	A library for Lucene-like query syntax parsing
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/riak_search
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/riak_search.git
%endif
#Source0:	https://github.com/%{upstream}/riak_search/archive/2.1.1/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/riak_search/archive/7818ac9e7a4f1af60e8b9d84a6ad27552d530f4b/%{realname}-%{version}.tar.gz
Patch1:		erlang-lucene_parser-0001-Move-tests-to-the-canonical-directory.patch
BuildRequires:	erlang-rebar


%description
A library for Lucene-like query syntax parsing.


%prep
%setup -q -n riak_search-7818ac9e7a4f1af60e8b9d84a6ad27552d530f4b/apps/%{realname}
%patch1 -p3


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%doc README.txt
%{erlang_appdir}/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 1-1
- Ver. 1
- Initial package (split-off from erlang-riak_search)

